Bug 798800 - aeolus-configure failure on F16
aeolus-configure failure on F16
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: aeolus-configure (Show other bugs)
1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 17:05 EST by Matt Wagner
Modified: 2014-08-17 18:27 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 09:57:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2012:1516 normal SHIPPED_LIVE CloudForms Cloud Engine 1.1 update 2012-12-04 14:51:45 EST

  None (edit)
Description Matt Wagner 2012-02-29 17:05:42 EST
Description of problem:
On a fresh re-install with Fedora 16, aeolus-configure fails with the following error:

[root@mawagner-desktop mawagner]# aeolus-configure 
Launching aeolus configuration recipe...
warning: Could not load fact file /usr/share/aeolus-configure/modules//aeolus/lib/facter/oauth.rb: No such file or directory - /etc/aeolus-conductor/oauth.json
Failed to parse template aeolus/conductor-settings.yml: Could not find value for 'iwhd_oauth_user' at /usr/share/aeolus-configure/modules/aeolus/manifests/conductor.pp:27 on node mawagner-desktop.usersys.redhat.com



Version-Release number of selected component (if applicable):
aeolus-configure-2.5.0-4.fc16.noarch



Steps to Reproduce:
1. Fresh F16 install
2. yum install aeolus-all
3. aeolus-configure
Comment 1 Matt Wagner 2012-02-29 17:12:07 EST
The /etc/aeolus-conductor/oauth.json symlink is broken -- it points to /usr/share/aeolus-conductor/config/oauth.json but that file does not exist.
Comment 2 Matt Wagner 2012-02-29 17:30:20 EST
Additional datapoint: a "yum downgrade aeolus-configure" to aeolus-configure-2.1.0-1.fc16.noarch works around the issue.
Comment 3 Richard Su 2012-02-29 19:44:34 EST
A fresh F16 install yielded this when I tried "yum install aeolus-all":

--> Finished Dependency Resolution
Error: Package: rubygem-webmock-1.7.6-2.fc16.noarch (fedora)
           Requires: rubygem(addressable) < 3
Error: Package: rubygem-webmock-1.7.6-2.fc16.noarch (fedora)
           Requires: rubygem(addressable) > 2.2.5
Error: Package: rubygem-webmock-1.7.6-2.fc16.noarch (fedora)
           Requires: rubygem(addressable) >= 2.2

I installed rubygem-addressable from the aeolus-testing repo and reran "yum install aeolus-all" and that then worked. rubygem-addressable is the only non-aeolus rpm we are carrying on aeolus-testing repo. 

Then I ran aeolus-configure, and got 3 errors. 

err: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: change from notrun to 0 failed: /usr/bin/curl --proxy '' -X PUT http://localhost:9090/templates returned 7 instead of one of [0] at /usr/share/aeolus-configure/modules/aeolus/manifests/iwhd.pp:100
err: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: change from notrun to 0 failed: /usr/bin/nc -z localhost 3002 returned 1 instead of one of [0] at /usr/share/aeolus-configure/modules/aeolus/manifests/deltacloud.pp:43
err: /Stage[main]/Aeolus::Image-factory/Augeas[imagefactory.conf]/returns: change from need_to_run to 0 failed: Save failed with return code false

The oauth error doesn't show up though. I'd be interested to know the output of your "yum install aeolus-all". Specifically did you see this:

  Installing : aeolus-conductor-0.8.0-5.fc16.noarch                                                                180/201 
/usr/share/aeolus-conductor /
** Invoke dc:oauth_keys (first_time)
** Execute dc:oauth_keys
Using gem require instead of bundler
/

On another server on a fresh F16 install I added the aeolus-testing repo and then ran "yum install aeolus-all". aeolus-configure worked without issue.
Comment 4 Richard Su 2012-03-05 16:54:34 EST
mmorsi has added rubygem-addressable to f16 to resolve the dependency issue in install. 

The three aeolus-configure errors are still outstanding and it requires updates from three subcomponent: deltacloud-core, imagefactory, and iwhd.

They need to be updated to at least the versions that are currently up on aeolus-testing. I've verfied that aeolus-configure is able to run successfully when the components have been updated.

Versions on aeolus-testing:
deltacloud-core-0.5.0-4.rc1
imagefactory-1.0.0rc3-1
iwhd-1.2-3.fc16

Versions current in f16:
deltacloud-core-0.5.0-1
imagefactory-0.7.1-1.fc16
iwhd-1.2-1.fc16

I'm adding the component owners to this ticket. mfojtik, imcleod, and jim, can you guys update your respective components on f16. I believe jim has an update to iwhd-1.4 already in progress.

Thanks.
Comment 5 Jim Meyering 2012-03-05 17:11:13 EST
indeed.  iwhd-1.4 needs +1 more karma to get to f16-testing
https://admin.fedoraproject.org/updates/iwhd-1.4-1.fc16
Comment 6 Mike Orazi 2012-03-07 13:14:54 EST
Should have cloudforms-1.0.0? -- this is upstream only.
Comment 7 Michal Fojtik 2012-03-09 08:37:17 EST
Richard, deltacloud-core-0.5.0-2 was pushed to Fedora 16 stable. This is the latest version of Deltacloud for Fedora 16.
Comment 8 Matt Wagner 2012-03-19 14:22:40 EDT
Consistent with Richard's comments, it looks like we're still waiting on Factory:

# aeolus-configure
Launching aeolus configuration recipe...
notice: /File[/etc/rsyslog.d/aeolus.conf]/ensure: defined content as '{md5}2d45434a072b4f9d1518ce026b92c547'
notice: /File[/etc/qpidd.conf]/content: content changed '{md5}74475874677f1c689de937e4ef8c89f1' to '{md5}3b762fe02ab4c355304d933bad24aee0'
notice: /Stage[main]/Aeolus::Image-factory/Service[qpidd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Postgres::Server/Exec[pginitdb]/returns: executed successfully
notice: /File[/rsyslog]/ensure: created
notice: /File[/rsyslog/work]/ensure: created
notice: /Stage[main]/Aeolus::Conductor/Service[rsyslog]: Triggered 'refresh' from 1 events
notice: /Stage[main]/Aeolus::Image-factory/Service[libvirtd]/ensure: ensure changed 'stopped' to 'running'
notice: /File[/data]/ensure: created
notice: /File[/data/db]/ensure: created
notice: /Stage[main]/Aeolus::Iwhd/Service[mongod]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Apache/Exec[permit-http-networking]/returns: executed successfully
notice: /Stage[main]/Apache/Service[httpd]/ensure: ensure changed 'stopped' to 'running'
notice: /File[/etc/httpd/conf.d/aeolus-conductor.conf]/content: content changed '{md5}8129c1ef2030ef66c0437b5d49115c3d' to '{md5}78aad09a0e062bd08d34b9905d76d5ce'
notice: /Stage[main]/Apache/Exec[reload-apache]: Triggered 'refresh' from 1 events
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/content: content changed '{md5}9784211d3c0e7ad5a539b9dcb964b9c3' to '{md5}2d3f1f2e30c9b188961b1acd3ade3b8b'
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/mode: mode changed '600' to '644'
notice: /File[/var/lib/pgsql/data/pg_hba.conf]/seluser: seluser changed 'unconfined_u' to 'system_u'
notice: /Stage[main]/Postgres::Server/Service[postgresql]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Postgres::Server/Service[postgresql]: Triggered 'refresh' from 4 events
notice: /Stage[main]/Aeolus::Conductor/Postgres::User[aeolus]/Exec[create_aeolus_postgres_user]/returns: executed successfully
notice: /File[/usr/share/aeolus-conductor/config/initializers/secret_token.rb]/ensure: defined content as '{md5}726c26a16c2ff633da5c25cae82adf7c'
notice: /File[/usr/share/aeolus-conductor/config/settings.yml]/content: content changed '{md5}5f984898775145f23d80d2322d360373' to '{md5}7fe348db909915ccffda269449647956'
err: /Stage[main]/Aeolus::Image-factory/Augeas[imagefactory.conf]/returns: change from need_to_run to 0 failed: Save failed with return code false
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Create::Db[create_aeolus_database]/Exec[create_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Migrate::Db[migrate_aeolus_database]/Exec[migrate_rails_database]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Rails::Seed::Db[seed_aeolus_database]/Exec[seed_rails_database]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Conductor/Rails::Seed::Db[seed_aeolus_database]/Exec[seed_rails_database]/returns: executed successfully
notice: /File[/var/lib/aeolus-conductor/production.seed]/ensure: created
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: User admin registered
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[create_site_admin_user]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: Using gem require instead of bundler
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: Granting administrator privileges for admin...
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Site_admin[admin]/Exec[grant_site_admin_privs]/returns: executed successfully
notice: /Stage[main]/Aeolus::Conductor/Service[conductor-dbomatic]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Conductor/Service[aeolus-conductor]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Login[admin]/Web_request[admin-conductor-login]/post: post changed '' to 'https://localhost/conductor/user_session'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Hwp[hwp1]/Web_request[hwp-hwp1]/post: post changed '' to 'https://localhost/conductor/hardware_profiles'
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Conductor::Logout[admin]/Web_request[admin-conductor-logout]/post: post changed '' to 'https://localhost/conductor/logout'
notice: /Stage[main]/Aeolus::Image-factory/File[/var/tmp/imagefactory-mock]/ensure: created
notice: /Stage[main]/Aeolus::Image-factory/Service[imagefactory]: Dependency Augeas[imagefactory.conf] has failures: true
warning: /Stage[main]/Aeolus::Image-factory/Service[imagefactory]: Skipping because of failed dependencies
notice: /File[/etc/ntp.conf]/content: content changed '{md5}e5de90852f279b2f85f9aa47160a2598' to '{md5}2dfb9420ebf32c7d97f86526fe6c21e8'
notice: /File[/etc/ntp/step-tickers]/content: content changed '{md5}32fdc5cdf3f181e7b6987410cf607d15' to '{md5}2dfb9420ebf32c7d97f86526fe6c21e8'
notice: /Stage[main]/Ntp::Client/Service[ntpd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Ntp::Client/Service[ntpd]: Triggered 'refresh' from 2 events
notice: /Stage[main]/Aeolus::Deltacloud::Core/Service[deltacloud-core]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Deltacloud::Core/Exec[deltacloud-core-startup-wait]/returns: executed successfully
notice: /File[/etc/init.d/iwhd]/ensure: defined content as '{md5}6e6aa5a83a15929d7d3ef426475a5f1e'
notice: /File[/etc/iwhd/users.js]/content: content changed '{md5}1d1cc4ee732cdfd775c2bac6096e18fc' to '{md5}23cd10e50c34ad6ead934ae1168d7723'
notice: /Stage[main]/Aeolus::Iwhd/Service[iwhd]/ensure: ensure changed 'stopped' to 'running'
notice: /Stage[main]/Aeolus::Iwhd/Exec[iwhd_startup_pause]/returns: executed successfully
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:   % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns:                                  Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0xec[create-bucket-aeolus]/returns: 
notice: /Stage[main]/Aeolus::Profiles::Default/Aeolus::Create_bucket[aeolus]/Exec[create-bucket-aeolus]/returns: executed successfully
notice: Finished catalog run in 126.40 seconds

[root@f16 ~]# service imagefactory status
imagefactory.service - LSB: start and stop Image Factory qmf agent
	  Loaded: loaded (/etc/rc.d/init.d/imagefactory)
	  Active: inactive (dead)
	  CGroup: name=systemd:/system/imagefactory.service

[root@f16 ~]# rpm -qa | grep imagefactory
imagefactory-jeosconf-ec2-fedora-0.7.1-1.fc16.noarch
rubygem-imagefactory-console-0.4.0-6.fc16.noarch
imagefactory-0.7.1-1.fc16.noarch
imagefactory-jeosconf-ec2-rhel-0.7.1-1.fc16.noarch

[root@f16 ~]# ls /var/log/imagefactory.log
ls: cannot access /var/log/imagefactory.log: No such file or directory
Comment 9 Matt Wagner 2012-03-19 14:56:15 EDT
Using 1.1.1-1.fc16 from updates-testing does resolve the issue. I gave it karma and seem to have hit the threshold, so it should be published shortly.
Comment 10 Richard Su 2012-03-21 21:50:17 EDT
imagefactory.noarch 0:1.1.1-1.fc16 is now available from updates.

aeolus-configure is working again.
Comment 12 Ronelle Landy 2012-09-27 15:05:57 EDT
I could reproduce the error on F16 using the following rpms:

>>  rpm -qa |grep aeolus
aeolus-conductor-daemons-0.10.6-1.fc16.noarch
aeolus-configure-2.6.1-1.fc16.noarch
rubygem-aeolus-cli-0.5.0-1.fc16.noarch
aeolus-conductor-0.10.6-1.fc16.noarch
aeolus-conductor-doc-0.10.6-1.fc16.noarch
aeolus-all-0.10.6-1.fc16.noarch
rubygem-aeolus-image-0.5.0-1.fc16.noarch

>>  rpm -qa |grep factory
imagefactory-jeosconf-ec2-fedora-1.1.1-1.fc16.noarch
imagefactory-1.1.1-1.fc16.noarch
imagefactory-jeosconf-ec2-rhel-1.1.1-1.fc16.noarch

>> rpm -qa |grep deltacloud
deltacloud-core-ec2-0.5.0-10.fc16.noarch
deltacloud-core-0.5.0-10.fc16.noarch
rubygem-deltacloud-client-0.5.0-1.fc16.noarch
deltacloud-core-vsphere-0.5.0-10.fc16.noarch
deltacloud-core-rhevm-0.5.0-10.fc16.noarch

>>  rpm -qa |grep iwhd
iwhd-1.5-1.fc16.x86_64

Output of running aeolus-configure:

>>  aeolus-configure
Launching aeolus configuration recipe...
warning: Could not load fact file /usr/share/aeolus-configure/modules//aeolus/lib/facter/oauth.rb: No such file or directory - /etc/aeolus-conductor/oauth.json
Failed to parse template aeolus/conductor-settings.yml: Could not find value for 'iwhd_oauth_user' at /usr/share/aeolus-configure/modules/aeolus/manifests/conductor.pp:27 on node tyan-gt24-03.rhts.eng.bos.redhat.com

Aeolus-conductor was installed on F16 using

>> yum install aeolus-all --enablerepo=updates-testing
Comment 14 errata-xmlrpc 2012-12-04 09:57:22 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2012-1516.html

Note You need to log in before you can comment on or make changes to this bug.